# Uses of Interface
org.apache.avro.NameValidator

Packages that use NameValidator
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of NameValidator in org.apache.avro

Fields in org.apache.avro declared as NameValidator
Modifier and Type
Field
Description
`static final NameValidator`
NameValidator.`NO_VALIDATION`
`static final NameValidator`
NameValidator.`STRICT_VALIDATOR`
`static final NameValidator`
NameValidator.`UTF_VALIDATOR`
Methods in org.apache.avro that return NameValidator
Modifier and Type
Method
Description
`static NameValidator`
Schema.`getNameValidator()`
Deprecated.
Methods in org.apache.avro with parameters of type NameValidator
Modifier and Type
Method
Description
`static void`
Schema.`setNameValidator(NameValidator validator)`
Deprecated.
Constructors in org.apache.avro with parameters of type NameValidator
Modifier
Constructor
Description
``
`ParseContext(NameValidator nameValidator)`
Create a `ParseContext` using the specified name validation for new schemata.
``
`Parser(NameValidator validate)`
``
`SchemaParser(NameValidator nameValidator)`
Create a schema parser with the specified name validator.